Subject: Re: [bug#42477] [PATCH] gnu: newsboat: Update to 2.20.1.

From: Jakub Kądziołka <[email-masked]>
Date: Thu, 23 Jul 2020 13:49:59 +0200

On Wed, Jul 22, 2020 at 09:09:16PM +0300, Efraim Flashner wrote:
> * gnu/packages/syndication.scm (newsboat): Update to 2.20.1.
> [source]: Add snippet to loosen version requirement on crate dependency.
> [build-system]: Switch to cargo-build-system.
> [native-inputs]: Remove asciidoc, add openssl, asciidoctor.
> [arguments]: Add gnu-build-system module. Add vendor-dir, cargo-inputs,
> cargo-development-inputs fields. Don't delete 'configure phase. Add
> custom 'dont-vendor-self-phase. Replace 'build, 'check, 'install phases
> with gnu counterparts.
> (newsboat-2.13): New variable.

Efraim,

I can't help but wonder - what's the motivation here for keeping the
older version around? I think a comment above the definition would be
nice.

Regards,
Jakub Kądziołka